Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0012327
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2010-02-17 18:072010-04-15 00:00
ReporteriperdomoView Statuspublic 
Assigned Todbaz 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionf58ffdba8c78
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_15
OS Version2.6.30-gentoo-r5Database version8.3.8Ant version1.7.1
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0012327: Unsupported browser message should be translatable.

DescriptionThe warning message about unsupported browser is hardcoded in English and should be translatable.
Steps To ReproduceOpen the application with an unsupported browser.
Proposed Solution* Store the warning message in Messages and use the client System language as default language to show the message to the user.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00119792.50MP12 closeddbaz In Openbravo login page, users using a not-supported browser get a warning 

-  Notes
(0024509)
iperdomo (developer)
2010-02-17 18:09

Example of the proposed way to solve is
https://issues.openbravo.com/view.php?id=11557 [^]
(0024966)
hgbot (developer)
2010-03-02 20:19

Repository: erp/devel/pi
Changeset: f58ffdba8c7801e0d821197643e04607e4b94af9
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Mar 02 20:19:03 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f58ffdba8c7801e0d821197643e04607e4b94af9 [^]

Fixed issue 12327 and 12333: Now Login_F1 messages are messageBD

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.html
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.java
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.xml
M src/org/openbravo/erpCommon/security/Login.java
M src/org/openbravo/erpCommon/security/Login_F1.html
M src/org/openbravo/erpCommon/security/Login_F1.xml
M web/js/utils.js
---
(0025379)
hudsonbot (developer)
2010-03-12 22:40

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/f58ffdba8c78 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/631c626866c1 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16685.obx [^]
(0026211)
iperdomo (developer)
2010-04-14 18:04

Tested on PI @ rev b20cb5f43144

- Issue History
Date Modified Username Field Change
2010-02-17 18:07 iperdomo New Issue
2010-02-17 18:07 iperdomo Assigned To => alostale
2010-02-17 18:07 iperdomo Summary Browser incopatiblity message should be translatable. => Unsupported browser message should be translatable.
2010-02-17 18:07 iperdomo Relationship added related to 0011979
2010-02-17 18:09 iperdomo Note Added: 0024509
2010-02-22 08:21 alostale Status new => scheduled
2010-02-22 08:21 alostale Assigned To alostale => dbaz
2010-02-22 08:21 alostale fix_in_branch => pi
2010-03-02 20:19 hgbot Checkin
2010-03-02 20:19 hgbot Note Added: 0024966
2010-03-02 20:19 hgbot Status scheduled => resolved
2010-03-02 20:19 hgbot Resolution open => fixed
2010-03-02 20:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f58ffdba8c7801e0d821197643e04607e4b94af9 [^]
2010-03-12 22:40 hudsonbot Checkin
2010-03-12 22:40 hudsonbot Note Added: 0025379
2010-04-14 18:04 iperdomo Note Added: 0026211
2010-04-14 18:04 iperdomo Status resolved => closed
2010-04-15 00:00 anonymous sf_bug_id 0 => 2987414


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker